# fn:index-of

fn:index-of(xs:anyAtomicType* $seqParam, xs:anyAtomicType $srchParam) → integer*

Function signature

$seqParam | xs:anyAtomicType *
$srchParam | xs:anyAtomicType
Result | xs:integer *

Finds the positions of items in a sequence that match the second argument

XPath 2.0 Specification

fn:index-of(xs:anyAtomicType* $seqParam, xs:anyAtomicType $srchParam, string $collation) → unsignedInt*

Function signature

$seqParam | xs:anyAtomicType *
$srchParam | xs:anyAtomicType
$collation | xs:string
Result | xs:integer *

Finds the positions of items in a sequence that match the second argument, using a named collation for the comparison

XPath 2.0 Specification

Next